RT_TASK_MAKE_PERIODIC(3)

NAME
rt_task_make_periodic - mark a real-time task for execution

WARNING
This is RTL v1.x compatibility function. Please do not use it for new programs.

SYNOPSIS
#define MODULE
#include <linux/module.h>
#include <linux/kernel.h>
#include <linux/version.h>
#include <linux/errno.h>
#include <linux/rt_sched.h>

int rt_task_make_periodic(RT_TASK * task, RTIME start_time, RTIME period);

DESCRIPTION
rt_task_make_periodic marks a task, previously created with a call to rt_task_init, as ready for execution. The task will run at intervals specified by period; i.e., it will be marked for execution every period real-time clock ticks. The desired start time is specified by start_time; the first execution of the task will occur start_time clock ticks from the current time. If immediate execution is desired, the return value of rt_get_time can be used for start_time.

RETURN VALUE
On success, 0 is returned. On failure, a negative value is returned as described below.

ERRORS

-EINVAL
    task does not refer to a valid RT_TASK structure.

SEE ALSO
rt_get_time(3), rt_task_delete(3), rt_task_init(3), rt_task_suspend(3), rt_task_wait(3)